//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HotelApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class CustomerTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public CustomerTable()
        {
            this.HotelStayTables = new HashSet<HotelStayTable>();
        }
    
        public int CustomerId { get; set; }
        public string Surname { get; set; }
        public string Name { get; set; }
        public string Middle { get; set; }
        public string Gender { get; set; }
        public System.DateTime DateOfBirthday { get; set; }
        public string RegistrationAddress { get; set; }
        public string ResidentialAddress { get; set; }
        public string ContactNumber { get; set; }
        public string PlaceBirth { get; set; }
        public string Сitizenship { get; set; }
        public string DocumentType { get; set; }
        public string Series { get; set; }
        public string Number { get; set; }
        public string IssuedBy { get; set; }
        public System.DateTime DateOfIssue { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<HotelStayTable> HotelStayTables { get; set; }
    }
}
